// MultiView.cpp 
//

#include "stdafx.h"
#include "Multi.h"

#include "MultiDoc.h"
#include "MultiView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Объекты класса CMultiView создаются динамически
IMPLEMENT_DYNCREATE(CMultiView, CView)

// Таблица сообщений класса CMultiView 
BEGIN_MESSAGE_MAP(CMultiView, CView)
   //{{AFX_MSG_MAP(CMultiView)
   //}}AFX_MSG_MAP
   ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
   ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
   ON_COMMAND(ID_FILE_PRINT_PREVIEW, 
                             CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Конструктор и деструктор класса CMultiView 

CMultiView::CMultiView()
{
	// TODO: 

}

CMultiView::~CMultiView()
{
}


/////////////////////////////////////////////////////////////////////////////
// Метод PreCreateWindow класса CMultiView 

BOOL CMultiView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: 

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// Метод OnDraw класса CMultiView 

void CMultiView::OnDraw(CDC* pDC)
{
	CMultiDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// Методы класса CMultiView, управляющие печатью документов

BOOL CMultiView::OnPreparePrinting(CPrintInfo* pInfo)
{
	return DoPreparePrinting(pInfo);
}

void CMultiView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: 
}

void CMultiView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: 
}

/////////////////////////////////////////////////////////////////////////////
// Диагностические методы 

#ifdef _DEBUG
void CMultiView::AssertValid() const
{
	CView::AssertValid();
}

void CMultiView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

/////////////////////////////////////////////////////////////////////////////
// Отладочная версия метода GetDocumentкласса CMultiView 

CMultiDoc* CMultiView::GetDocument() 
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMultiDoc)));
	return (CMultiDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////

